=encoding utf8

=head1 NAME

XML::Compile::SOAP::Util - general purpose routines for XML::Compile::SOAP

=head1 INHERITANCE

 XML::Compile::SOAP::Util
   is an Exporter

=head1 SYNOPSIS

 use XML::Compile::SOAP::Util qw/:soap11 WSDL11/;

=head1 DESCRIPTION

This module collects functions which are useful on many places in the
SOAP implementation, just as L<XML::Compile::Util|XML::Compile::Util> does for general XML
implementations (often you will needs things from both).

On the moment, only a long list of constant URIs are exported.

=head1 FUNCTIONS

=head2 Constants

The export TAG C<:soap11> groups the SOAP version 1.1 related exported
constants C<SOAP11ENV>, C<SOAP11ENC>, actor C<SOAP11NEXT>, and http
indicator C<SOAP11HTTP>.

=pod

The export TAG C<:wsdl11> groups the exported WSDL version 1.1 related
constants C<WSDL11>, C<WSDL11SOAP>, C<WSDL11HTTP>, C<WSDL11MIME>,
C<WSDL11SOAP12>.

=pod

The export TAG C<:daemon> refers currently only to the constant C<MSEXT>,
which refers to the MicroSoft Extension Framework namespace.

Besides, this tag also defines namespaces for server implementations:
C<XC_DAEMON_NS> refers to the L<XML::Compile::SOAP::Daemon|XML::Compile::SOAP::Daemon> server.

=pod

The export TAG C<:xop10> refers to C<XOP10>, C<XMIME10> and C<XMIME11>

=head1 SEE ALSO

This module is part of XML-Compile-SOAP distribution version 3.28,
built on August 01, 2022. Website: F<http://perl.overmeer.net/CPAN/>

=head1 LICENSE

Copyrights 2007-2022 by [Mark Overmeer <markov@cpan.org>]. For other contributors see ChangeLog.

This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.
See F<http://dev.perl.org/licenses/>

